> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Employee Onboarding Link

> Generates an expirable link to Zeal's employee payroll onboarding for a specified employee.



## OpenAPI

````yaml openapi/zeal-api.json post /employees/onboard
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees/onboard:
    post:
      summary: Generate Employee Onboarding Link
      description: >-
        Generates an expirable link to Zeal's employee payroll onboarding for a
        specified employee.
      operationId: generate-employee-onboarding-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - employeeID
              properties:
                companyID:
                  type: string
                  description: Company ID of employer
                employeeID:
                  type: string
                  description: ID of Employee
                employee_acct:
                  type: boolean
                  description: >-
                    If false, the employee account information (username and
                    password) collection step of the onboarding will be left out
                  default: false
                survey:
                  type: boolean
                  description: >-
                    If false, the employee survey step will be left out (Early
                    Access)
                  default: false
                i9_form:
                  type: boolean
                  description: >-
                    If false, the I9 form in the paperwork step of the
                    onboarding will be left out
                  default: false
                id_scan:
                  type: boolean
                  description: >-
                    If false, the ID scan step of the onboarding will be left
                    out.
                  default: false
                payment_method_required:
                  type: boolean
                  description: >-
                    If false, the onboarding worker will be able to skip the
                    bank account collection section of onboarding
                  default: true
                paycard:
                  type: boolean
                  description: >-
                    If false, the paycard enrollment screen will be left out.
                    NOTE: Only applicable for Paycards (Early Access)
                  default: false
                instant_pay:
                  type: boolean
                  description: >-
                    If false, the instant pay enrollment screen will be left
                    out. NOTE: Only applicable for Instant Pay (Early Access)
            examples:
              Request Example:
                value:
                  profile: false
                  employee_acct: false
                  i9_form: false
                  id_scan: false
                  companyID: '123456789'
                  employeeID: '123456789'
                  payment_method: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data: >-
                      https://payroll.your-domain.com/form/NjE5NmIyNThjZGQwMDIzYWEwMjFiL2NiYzFkMDcyYjAyNTRjZWY5MzUwNTdlZWExNmUyNjNkLzE2Mzc4NzcxMTcwMTIvP3Rlc3Q9dHJ1ZSZwcm9maWxlPXRydWUmwbG95ZWVfYWNjdD10cnVlJmlkX3NjYW49dHJ1ZSZpOT10cnVlJnBhcGVyd29yaz10cnVl
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: string
                    example: >-
                      https://payroll.your-domain.com/form/NjE5NmIyNThjZGQwMDIzYWEwMjFiL2NiYzFkMDcyYjAyNTRjZWY5MzUwNTdlZWExNmUyNjNkLzE2Mzc4NzcxMTcwMTIvP3Rlc3Q9dHJ1ZSZwcm9maWxlPXRydWUmwbG95ZWVfYWNjdD10cnVlJmlkX3NjYW49dHJ1ZSZpOT10cnVlJnBhcGVyd29yaz10cnVl
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee ID is not formatted correctly
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee ID is not formatted correctly
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````